Dart SDK Улучшает доступ к JavaScript


Dart 1.13 был выпущен с улучшенной совместимостью JavaScript.

Dart был разработан Google как альтернатива JavaScript, и многие разработчики были привлечены к нему из-за этого. Однако, хотя он предоставляет способ программирования структурированного кода для Интернета, он не сверг JavaScript с его ведущего места.

В этой новой версии Dart более простая совместимость JavaScript достигается за счет нового синтаксиса для создания фасадов API Dart для существующих библиотек JavaScript. Согласно сообщению на странице новостей и обновлений Dart:

“У фасадов есть преимущества, которые вы ожидаете от библиотеки Dart: ошибки, предупреждения и навигация по коду. Они также предоставляют компилятору Dart-to-JavaScript структуру, необходимую для обеспечения совместимости с низким размером кода и стоимостью выполнения.”

Вы можете использовать пакет js для создания API-интерфейсов Dart для ваших любимых библиотек JavaScript, и в новой версии есть пример порта Chart.js библиотека, чтобы вы могли видеть, как использовать фасады в своем коде. Разработчики Dart работают над инструментами для создания фасадов JS из других типизированных реализаций JavaScript.

Другим основным улучшением новой версии является защита сети. Dart перешел на использование BoringSSL, оптимизированной, поддерживаемой Google реализации OpenSSL. Это изменение означает, что разработчики обновили связанные API, чтобы использовать стандартный файл PEM для сертификатов и ключей.

Некоторые комментаторы сомневаются, что Google продолжит работу над Dart, указывая, что:

“У Google также есть Angular 2.0, который написан на машинописном языке. С TypeScript и ES 6.0 Dart, вероятно, будет заброшен.”

Однако, поскольку Google переместил Dart на Github в начале года, язык может продолжать работать независимо от того, что делает Google.


Добавить комментарий